--- old/usr/src/uts/intel/ia32/ml/float.s	Thu Nov 14 19:00:25 2019
+++ new/usr/src/uts/intel/ia32/ml/float.s	Thu Nov 14 19:00:25 2019
@@ -42,21 +42,8 @@
 #include <sys/privregs.h>
 #include <sys/x86_archext.h>
 
-#if defined(__lint)
-#include <sys/types.h>
-#include <sys/fp.h>
-#else
 #include "assym.h"
-#endif
 
-#if defined(__lint)
- 
-uint_t
-fpu_initial_probe(void)
-{ return (0); }
-
-#else	/* __lint */
-
 	/*
 	 * Returns zero if x87 "chip" is present(!)
 	 */
@@ -68,48 +55,16 @@
 	ret
 	SET_SIZE(fpu_initial_probe)
 
-#endif	/* __lint */
-
-#if defined(__lint)
-
-/*ARGSUSED*/
-void
-fxsave_insn(struct fxsave_state *fx)
-{}
-
-#else	/* __lint */
-
 	ENTRY_NP(fxsave_insn)
 	fxsaveq (%rdi)
 	ret
 	SET_SIZE(fxsave_insn)
 
-#endif	/* __lint */
-
 /*
  * One of these routines is called from any lwp with floating
  * point context as part of the prolog of a context switch.
  */
 
-#if defined(__lint)
-
-/*ARGSUSED*/
-void
-xsave_ctxt(void *arg)
-{}
-
-/*ARGSUSED*/
-void
-xsaveopt_ctxt(void *arg)
-{}
-
-/*ARGSUSED*/
-void
-fpxsave_ctxt(void *arg)
-{}
-
-#else	/* __lint */
-
 /*
  * These three functions define the Intel "xsave" handling for CPUs with
  * different features. Newer AMD CPUs can also use these functions. See the
@@ -224,33 +179,7 @@
 	.4byte	0x0
 	.4byte	0x0
 
-#endif	/* __lint */
 
-
-#if defined(__lint)
-
-/*ARGSUSED*/
-void
-fpsave(struct fnsave_state *f)
-{}
-
-/*ARGSUSED*/
-void
-fpxsave(struct fxsave_state *f)
-{}
-
-/*ARGSUSED*/
-void
-xsave(struct xsave_state *f, uint64_t m)
-{}
-
-/*ARGSUSED*/
-void
-xsaveopt(struct xsave_state *f, uint64_t m)
-{}
-
-#else	/* __lint */
-
 	ENTRY_NP(fpxsave)
 	CLTS
 	fxsaveq (%rdi)
@@ -283,27 +212,11 @@
 	ret
 	SET_SIZE(xsaveopt)
 
-#endif	/* __lint */
-
 /*
  * These functions are used when restoring the FPU as part of the epilogue of a
  * context switch.
  */
 
-#if defined(__lint)
-
-/*ARGSUSED*/
-void
-fpxrestore_ctxt(void *arg)
-{}
-
-/*ARGSUSED*/
-void
-xrestore_ctxt(void *arg)
-{}
-
-#else	/* __lint */
-
 	ENTRY(fpxrestore_ctxt)
 	cmpl	$_CONST(FPU_EN|FPU_VALID), FPU_CTX_FPU_FLAGS(%rdi)
 	jne	1f
@@ -328,23 +241,7 @@
 	ret
 	SET_SIZE(xrestore_ctxt)
 
-#endif	/* __lint */
 
-
-#if defined(__lint)
-
-/*ARGSUSED*/
-void
-fpxrestore(struct fxsave_state *f)
-{}
-
-/*ARGSUSED*/
-void
-xrestore(struct xsave_state *f, uint64_t m)
-{}
-
-#else	/* __lint */
-
 	ENTRY_NP(fpxrestore)
 	CLTS
 	fxrstorq	(%rdi)
@@ -360,39 +257,19 @@
 	ret
 	SET_SIZE(xrestore)
 
-#endif	/* __lint */
-
 /*
  * Disable the floating point unit.
  */
 
-#if defined(__lint)
-
-void
-fpdisable(void)
-{}
-
-#else	/* __lint */
-
 	ENTRY_NP(fpdisable)
 	STTS(%rdi)			/* set TS bit in %cr0 (disable FPU) */ 
 	ret
 	SET_SIZE(fpdisable)
 
-#endif	/* __lint */
-
 /*
  * Initialize the fpu hardware.
  */
 
-#if defined(__lint)
-
-void
-fpinit(void)
-{}
-
-#else	/* __lint */
-
 	ENTRY_NP(fpinit)
 	CLTS
 	cmpl	$FP_XSAVE, fp_save_mech
@@ -414,25 +291,11 @@
 	ret
 	SET_SIZE(fpinit)
 
-#endif	/* __lint */
-
 /*
  * Clears FPU exception state.
  * Returns the FP status word.
  */
 
-#if defined(__lint)
-
-uint32_t
-fperr_reset(void)
-{ return (0); }
-
-uint32_t
-fpxerr_reset(void)
-{ return (0); }
-
-#else	/* __lint */
-
 	ENTRY_NP(fperr_reset)
 	CLTS
 	xorl	%eax, %eax
@@ -454,18 +317,6 @@
 	ret
 	SET_SIZE(fpxerr_reset)
 
-#endif	/* __lint */
-
-#if defined(__lint)
-
-uint32_t
-fpgetcwsw(void)
-{
-	return (0);
-}
-
-#else   /* __lint */
-
 	ENTRY_NP(fpgetcwsw)
 	pushq	%rbp
 	movq	%rsp, %rbp
@@ -478,22 +329,10 @@
 	ret
 	SET_SIZE(fpgetcwsw)
 
-#endif  /* __lint */
-
 /*
  * Returns the MXCSR register.
  */
 
-#if defined(__lint)
-
-uint32_t
-fpgetmxcsr(void)
-{
-	return (0);
-}
-
-#else   /* __lint */
-
 	ENTRY_NP(fpgetmxcsr)
 	pushq	%rbp
 	movq	%rsp, %rbp
@@ -505,4 +344,3 @@
 	ret
 	SET_SIZE(fpgetmxcsr)
 
-#endif  /* __lint */
